Bug 1124099 - Live Merge: Limit merge operations based on hosts' capabilities
Summary: Live Merge: Limit merge operations based on hosts' capabilities
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Greg Padgett
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On: 1109925
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-07-29 00:57 UTC by Greg Padgett
Modified: 2016-02-10 19:45 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:44:54 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30773 master MERGED db, core, webadmin: Add is_live_merge_supported flag Never
oVirt gerrit 31169 ovirt-engine-3.5 MERGED db, core, webadmin: Add is_live_merge_supported flag Never

Description Greg Padgett 2014-07-29 00:57:24 UTC
Not all hosts are capable of performing Live Merge operations.  Those that are will indicate it with a flag in the vdsm capabilities API (see bug 1109925).  Based on that flag, the engine will restrict Live Merge.

Comment 1 Kevin Alon Goldblatt 2014-10-06 14:36:49 UTC
Hi I tested the following regarding the blocking of the live merge feature based on the host version:

On a LIVE VM including block and nfs disks with 4 snapshots I tried deleting snapshots 2 and 3
On a LIVE VM including block and nfs disks with 4 snapshots I tried deleting snapshot DISKS from snapshots 2 and 3 

Results:
rhel 6.5 Live merge is blocked in the UI
rhel 7.0 Liver merge is blocked in the UI


Does this resolve this issue?

Comment 2 Greg Padgett 2014-10-08 18:00:32 UTC
(In reply to Kevin Alon Goldblatt from comment #1)
> Hi I tested the following regarding the blocking of the live merge feature
> based on the host version:
> 
> On a LIVE VM including block and nfs disks with 4 snapshots I tried deleting
> snapshots 2 and 3
> On a LIVE VM including block and nfs disks with 4 snapshots I tried deleting
> snapshot DISKS from snapshots 2 and 3 
> 
> Results:
> rhel 6.5 Live merge is blocked in the UI
> rhel 7.0 Liver merge is blocked in the UI
> 
> 
> Does this resolve this issue?

Half of it, I suppose :)

Looking at Adam's verification instructions in bug 1109925 comment 5, the points at which to test whether the engine is allowing live merge would be after numbers 3 and 11.  The engine should respect vdsClient's returned liveMerge = <"false"|"true"> value, and should correspondingly block (or not) the live merge operation in the UI.

Comment 3 Greg Padgett 2014-10-08 18:02:17 UTC
(That should say "vdsm's returned liveMerge [...] value".  Of course the value can be checked using vdsClient.)

Comment 4 Sandro Bonazzola 2014-10-17 12:44:54 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.